Class KubernetesClusterState (1.7.1)

Stay organized with collections Save and categorize content based on your preferences.
KubernetesClusterState(mapping=None, *, ignore_unknown_fields=False, **kwargs)

The state of the Kubernetes cluster.

Attributes

NameDescription
agones_version_installed str
Output only. The version of Agones currently installed in the registered Kubernetes cluster.
kubernetes_version_installed str
Output only. The version of Kubernetes that is currently used in the registered Kubernetes cluster (as detected by the Cloud Game Servers service).
installation_state google.cloud.gaming_v1.types.KubernetesClusterState.InstallationState
Output only. The state for the installed versions of Agones/Kubernetes.
version_installed_error_message str
Output only. The detailed error message for the installed versions of Agones/Kubernetes.
provider str
Output only. The cloud provider type reported by the first node's providerID in the list of nodes on the Kubernetes endpoint. On Kubernetes platforms that support zero-node clusters (like GKE-on-GCP), the provider type will be empty.
agones_version_targeted str
Output only. The version of Agones that is targeted to be installed in the cluster.

Classes

InstallationState

InstallationState(value)

The state of the installed versions of Agones/Kubernetes. See also https://cloud.google.com/game-servers/docs/versions-and-upgrades.

Values: INSTALLATION_STATE_UNSPECIFIED (0): The default value. This value is used if the state is omitted. AGONES_KUBERNETES_VERSION_SUPPORTED (1): The combination of Agones and Kubernetes versions is supported by Google Cloud Game Servers. AGONES_VERSION_UNSUPPORTED (2): The installed version of Agones is not supported by Google Cloud Game Servers. AGONES_KUBERNETES_VERSION_UNSUPPORTED (3): The installed version of Agones is supported by Google Cloud Game Servers, but the installed version of Kubernetes is not recommended or supported by the version of Agones. AGONES_VERSION_UNRECOGNIZED (4): The installed version of Agones is not recognized because the Agones controller's image name does not have a version string reported as {major}.{minor}(.{patch}). KUBERNETES_VERSION_UNRECOGNIZED (5): The server version of Kubernetes cluster is not recognized because the API server didn't return parsable version info on path/version. VERSION_VERIFICATION_FAILED (6): Failed to read or verify the version of Agones or Kubernetes. See version_installed_error_message for details. AGONES_NOT_INSTALLED (7): Agones is not installed.